---
updatedAt: 2026-08-25T10:07:45.000Z
agentTools:
  projectIndex: https://developers.international.pagseguro.com/llms.txt
---

# Consulting Balance in Sandbox

***

<br />

#### Parameters

| Parameter          | Description                                                     | Type         |
| :----------------- | :-------------------------------------------------------------- | :----------- |
| country            | Country of origin of the balance                                | String       |
| amount             | Balance amount                                                  | String       |
| currency           | Balance currency                                                | String       |
| last\_update\_date | Date of last balance update in Coordinated Universal Time (UTC) | UTC DateTime |

#### Example of a response

```json Response
{
  "available": [
    {
      "country": "BR",
      "amount": "31521.18",
      "currency": "BRL",
      "last_update_date": "2024-10-01T00:00:00Z"
    }
  ],
  "investment": [
    {
      "country": "BR",
      "amount": "5000000.00",
      "currency": "BRL",
      "last_update_date": "2024-10-11T00:01:00Z"
    }
  ]
}
```

> ❗️ The balance values ​​shown in Sandbox are for simulation purposes only and are not real

<br />

***

#### Recipe

[block:tutorial-tile]
{
  "backgroundColor": "#018FF4",
  "emoji": "🦉",
  "id": "67bcc29213974800141d46da",
  "link": "https://developers.international.pagseguro.com/v2.0/recipes/generating-the-authorization-header-for-balance",
  "slug": "generating-the-authorization-header-for-balance",
  "title": "Generating the Authorization header for Balance"
}
[/block]

<br />

***

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sandbox-balance-api",
    "version": "10.0"
  },
  "servers": [
    {
      "url": "https://api.sandbox.international.pagseguro.com/v1/balances"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/": {
      "get": {
        "summary": "Consulting Balance in Sandbox",
        "description": "",
        "operationId": "consulting-items-in-sandbox-balances",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Your Authorization header, calculated with your api-key and your secret-key. Please refer to the recipe above on how to generate it.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"available\": [\n    {\n      \"country\": \"BR\",\n      \"amount\": \"31521.18\",\n      \"currency\": \"BRL\",\n      \"last_update_date\": \"2024-10-01T00:00:00Z\"\n    }\n  ],\n  \"investment\": [\n    {\n      \"country\": \"BR\",\n      \"amount\": \"5000000.00\",\n      \"currency\": \"BRL\",\n      \"last_update_date\": \"2024-10-11T00:01:00Z\"\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "available": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "country": {
                            "type": "string",
                            "example": "BR"
                          },
                          "amount": {
                            "type": "string",
                            "example": "31521.18"
                          },
                          "currency": {
                            "type": "string",
                            "example": "BRL"
                          },
                          "last_update_date": {
                            "type": "string",
                            "example": "2024-10-01T00:00:00Z"
                          }
                        }
                      }
                    },
                    "investment": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "country": {
                            "type": "string",
                            "example": "BR"
                          },
                          "amount": {
                            "type": "string",
                            "example": "5000000.00"
                          },
                          "currency": {
                            "type": "string",
                            "example": "BRL"
                          },
                          "last_update_date": {
                            "type": "string",
                            "example": "2024-10-11T00:01:00Z"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errors\": [\n        {\n            \"message\": \"Missing required request parameters: [Content-Type]\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "message": {
                            "type": "string",
                            "example": "Missing required request parameters: [Content-Type]"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"error\": \"Not Found\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "example": "Not Found"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "429",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "504": {
            "description": "504",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "csharp",
              "code": "curl --location --request GET 'https://api.sandbox.international.pagseguro.com/v1/balances' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: {Authorization}' \n"
            }
          ],
          "samples-languages": [
            "csharp"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```